// $Id: Picture.hh,v 1.2 1998/05/22 09:12:46 cvs Exp $

#include <gdk/gdk.h>

class Picture
{
public:
	const GdkPixmap *mask,*map;

	Picture(GdkPixmap *msk=0,GdkPixmap *mp=0)
		: mask(msk), map(mp) {}
	Picture(const Picture &tmpl);
	Picture(char **xpm_data,GdkWindow *win=0,GdkColor *trans=0);
	~Picture();
	Picture &operator=(const Picture&source);
	bool operator!()
	{  return !mask && !map; }
};
