/* $Id: tclist.cc,v 1.17 1998/05/07 08:40:40 cvs Exp $ */
#include "TCList.h"
// #include <gtk--
#include <gtk--/window.h>
#include <gtk--/main.h>
#include <iostream.h>
#include "misc.hh"

class testwindow : public Gtk_Window {
   TCList *liste;
/*   Gtk_ScrolledWindow listwin; */
public:
   testwindow()
{     const gchar *title[]={ "customer","article","color","count"};
      const title_size=sizeof(title)/sizeof(title[0]);
      liste = new TCList(title_size,title);
      add(liste);
      
      for (int i=0;i<title_size;i++)
      {  liste->set_column_width(i,40);
      }
      liste->show();
      liste->freeze();
      {  // the long one
         vector <string> v;
         v.push_back("0"); v.push_back(""); v.push_back(""); v.push_back("20");
         TCListRow &r1=*(new TCListRow(*liste,v)); v.erase(v.begin(),v.end());
         r1.expand();
         r1.set_expanding_column(1);
         r1.set_user_data((gpointer)0x700323);
         
         const gchar *a00[]={ "","1","","12"};
         TCListRow &r3=*(new TCListRow(r1,a00,2,true));
         r3.set_user_data((gpointer)0x690807);
         const gchar *a20[]={ "","","2","2" };
         (void)new TCListRow(r3,a20);
         const gchar *a21[]={ "","","3","6" };
         (void)new TCListRow(r3,a21);
         const gchar *a22[]={ "","","4","4" };
         (void)new TCListRow(r3,a22);
         
         const gchar *a01[]={ "","2","","8" };
         TCListRow &r4=*(new TCListRow(r1,a01,2,true));
         r4.set_user_data((gpointer)0x951229);
         const gchar *a10[]={ "","","2","3" };
         (void)new TCListRow(r4,a10); 
         const gchar *a11[]={ "","","4","5" };
         (void)new TCListRow(r4,a11);
         
         const gchar *a30[]={ "1","6","7","30"};
         (void)new TCListRow(*liste,a30);
         
         const gchar *a40[]={ "2","8","+","10"};
         TCListRow &r2=*(new TCListRow(*liste,a40,2,true));
         const gchar *a41[]={ "","","3","7"};
         (void)new TCListRow(r2,a41);
         const gchar *a42[]={ "","","4","3"};
         (void)new TCListRow(r2,a42);
      }
      liste->thaw();
      
      for (TCList::iterator i=liste->begin();i!=liste->end();i++)
         cout << *i;
      connect_to_method(liste->delete_user,this,&delete_user_imp);
   }
   ~testwindow()
   {  cout << "~testwindow\n";
      // delete liste;
      liste->erase(liste->begin(),liste->end());
   }
   void delete_user_imp(gpointer x)
   {  cout << x << "\t"; //write_hex(cout,x); 
   }
   gint delete_event_impl(GdkEventAny *) {
      cout << "~delete_event_impl\n";
      // delete liste;
      liste->erase(liste->begin(),liste->end());
      cout << "\n";
      Gtk_Main::instance()->quit(); 
      return 0;
   }
};


int main( int argc, char **argv )
{
   Gtk_Main m( &argc, &argv );
   testwindow w;

   w.set_usize( 220,200 );
   w.show();

   m.run();
   return 0;
}
